- Qt 5.15
- Qt Help
- C++ Classes
- QHelpSearchResultWidget
- Qt 5.15.19 Reference Documentation

# QHelpSearchResultWidget Class

The QHelpSearchResultWidget class provides a text browser to display search results. More...

Header: | #include <QHelpSearchResultWidget>
qmake: | QT += help
Since: | Qt 4.4
Inherits: | QWidget

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

virtual | ~QHelpSearchResultWidget() override
QUrl | linkAt(const QPoint &point)

## Signals

void | requestShowLink(const QUrl &link)

## Detailed Description

## Member Function Documentation

### `[signal]` void QHelpSearchResultWidget::requestShowLink(const QUrl &link)

This signal is emitted when a item is activated and its associated link should be shown.

### `[override virtual]` QHelpSearchResultWidget::~QHelpSearchResultWidget()

Destroys the search result widget.

### QUrl QHelpSearchResultWidget::linkAt(const QPoint &point)

Returns a reference of the URL that the item at point owns, or an empty URL if no item exists at that point.